# Transforming Content

You can go back to the platform to add more 3D models, delete 3D models, add metadata, or change existing metadata associated with your entry and instantly see the changes in React Native.

For example, let's [add metadata](/web-console/manage-pages/data-page/how-to-add-data.md#adding-metadata) with the key `direction` and the value `right`.

![](/files/-MB13Qbgf-9QM9OjxlQG)

This will make the 3D model rotate to the right.

## Moving, Scaling, and Rotating 3D Content

If the content is too big or too small or if you'd like to move or rotate it, go back to the platform and [add metadata](/web-console/manage-pages/data-page/how-to-add-data.md#adding-metadata) to affect its transformation. After adding metadata, restart the app.

The following keys are words the system uses as pre-defined metadata keys to control transformations:

| Keyword | Type  | Options                                                           | Effect                                  |
| ------- | ----- | ----------------------------------------------------------------- | --------------------------------------- |
| x       | float | <p>Any positive or negative number.</p><p>Default value is 0.</p> | Moves the hologram on the x-axis        |
| y       | float | <p>Any positive or negative number.</p><p>Default value is 0.</p> | Moves the hologram on the y-axis        |
| z       | float | <p>Any positive or negative number.</p><p>Default value is 0.</p> | Moves the hologram on the z-axis        |
| scale   | float | <p>Any positive number.</p><p>Default value is 1.</p>             | Grows or shrinks the hologram uniformly |
| xAngle  | float | <p>Any positive or negative number.</p><p>Default value is 0.</p> | Rotates the model on the x-axis         |
| yAngle  | float | <p>Any positive or negative number.</p><p>Default value is 0.</p> | Rotates the model on the y-axis         |
| zAngle  | float | <p>Any positive or negative number.</p><p>Default value is 0.</p> | Rotates the model on the z-axis         |

{% hint style="info" %}
Remember to restart the app after adding metadata with React Native apps for the changes to take effect.&#x20;
{% endhint %}

## Adding Text to 3D Content

If you'd like to annotate the content, go back to the platform and [add metadata](/web-console/manage-pages/data-page/how-to-add-data.md#adding-metadata) to add text. After adding metadata, refresh the browser.

The following keys are words the system uses as pre-defined metadata keys to add and design text:

| Keyword       | Type   | Options                                                          | Description                                                   |
| ------------- | ------ | ---------------------------------------------------------------- | ------------------------------------------------------------- |
| text          | string | Any string. The character ';' represents a line break.           | Text to appear with the 3D content                            |
| textColor     | string | <p>Any color.</p><p>Default value is "white".</p>                | Color of the text                                             |
| xTextPosition | float  | <p>Any positive or negative number. <br>Default value is "0"</p> | Position of the text in the x-axis relative to the 3D content |
| yTextPosition | float  | <p>Any positive or negative number. <br>Default value is "0"</p> | Position of the text in the y-axis relative to the 3D content |
| zTextPosition | float  | <p>Any positive or negative number. <br>Default value is "0"</p> | Position of the text in the z-axis relative to the 3D content |
| textScale     | float  | <p>Any positive number.</p><p>Default value is "2".</p>          | Scale of the text                                             |

![](/files/-MB179DWY7ngMQftHHx4)

{% hint style="info" %}
Remember to restart the app after adding metadata with React Native apps for the changes to take effect.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.echo3d.com/react-native/transforming-content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
